(in-package #:odo/model-api)

(defsection @odo/model-api/functions/preds
    (:title "Predicate functions")
  "These are functions that generally return `T` or `NIL`."
  (@odo/model-api/functions/preds/activep section)
  (@odo/model-api/functions/preds/all-diff-except section)
  (@odo/model-api/functions/preds/all-diff section)
  (@odo/model-api/functions/preds/circuit section)
  (@odo/model-api/functions/preds/conjunction section)
  (@odo/model-api/functions/preds/cumulative section)
  (@odo/model-api/functions/preds/disjunction section)
  (@odo/model-api/functions/preds/element section)
  (@odo/model-api/functions/preds/equality section)
  (@odo/model-api/functions/preds/equivalence section)
  (@odo/model-api/functions/preds/every section)
  (@odo/model-api/functions/preds/geometry section)
  (@odo/model-api/functions/preds/implication section)
  (@odo/model-api/functions/preds/linear section)
  (@odo/model-api/functions/preds/negation section)
  (@odo/model-api/functions/preds/normal section)
  (@odo/model-api/functions/preds/numeric-equality section)
  (@odo/model-api/functions/preds/numeric-inequality section)
  (@odo/model-api/functions/preds/obstacle section)
  (@odo/model-api/functions/preds/separation section)
  (@odo/model-api/functions/preds/some section)
  (@odo/model-api/functions/preds/subcircuit section)
  (@odo/model-api/functions/preds/temporal section)
  (@odo/model-api/functions/preds/xor section))
